LINUX.ORG.RU

Pacman (manjaro) не может обновиться из-за пакета


0

1

Здравствуйте. У мнея новый дистрибутив. Это Манджаро с КДЕ.
При попытке обнивиться, выдаёт следующее:

ошибка: plymouth: signature from «Joshua Strot <joshua@manjaro.org>» is unknown trust

:: Файл /var/cache/pacman/pkg/plymouth-0.8.8-8-x86_64.pkg.tar.xz поврежден (неверный или поврежденный пакет(PGP-подпись)).
Хотите его удалить? [Y/n] y

ошибка: не удалось завершить запрос (неверный или поврежденный пакет)

Обнаружены ошибки, пакеты не были обновлены.

[root@netrun netrunner]#

Пробовал и Pamac и Ocopi и через терминал. Ошибка та же.
Помогите пожалуйста.

С уважением, Fox909.


Не знаю как в маджаро, но в арче для такого есть pacman-key. На худой конец SigLevel = Never в pacman.conf, для репы.

naszar ()
Последнее исправление: naszar (всего исправлений: 1)
Ответ на: комментарий от naszar

Уверен на 99% что в манджаро тоже есть такое :) Pacman он и африке Pacman :) Добрый Человек, а чуть поподробней можно? Что делать то?

С уважением, Fox909.

Fox909 ()
Ответ на: комментарий от Fox909

Тут есть несколько вариантов:

  • Ключи обновились, а твой плимут в кэше подписан старым ключем => вынести старый файл из кэша и спокойно поставить новый из реп.
  • Ключи обновились, а на твоем зеркале пакеты - нет => убрать комментарий из pacman.conf для SigLevel и установить ему значение Never (нежелательно). Или сменить зеркало или дождаться когда туда придет обновленный пакет.
  • У тебя порченые ключи. Мне помогало
    pacman-key –init
    pacman-key –populate archlinux
    

В любом случае пакман позволяет забивать на ключи.

naszar ()
Последнее исправление: naszar (всего исправлений: 1)
Ответ на: комментарий от anonymous

Уважаемый «Ананимус», на вскус и цвет... как говоиться...

Приношу свои извинения за недоразумение - разумеется «с уважением» - это не Вам. Тем не мение, Благодарю за ссылку, она очень выручила и всё обьяснила.

С благодарностью, искренне Ваш, Fox909 :) (разумеется без уважения).

Fox909 ()
Ответ на: комментарий от naszar

Спасибо Naszar. Проблема оказалсь в сложном обновлении. Проблема именно манждаровская и поэтому там и следовало искать решения. А у меня установлен Netrunner Rolling, который, как оказалось, сидит на манждаре куда плотней чем я думал :) Вообщем там на странице, рекомендованной юнышей «Ананимусом», описаны действия, позволяющие избежать проблемы. Для тех будет искать по форуму, вот сами команды:

sudo pacman -Syy

sudo pacman -S manjaro-keyring

sudo pacman -Suu

Спасибо за помощь. С уважением, Fox909.

Fox909 ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.